Package org.apache.calcite.avatica.util

## Class AbstractCursor.TimestampFromUtilDateAccessor

- java.lang.Object
- - org.apache.calcite.avatica.util.AbstractCursor.AccessorImpl
  - - org.apache.calcite.avatica.util.AbstractCursor.ObjectAccessor
    - - org.apache.calcite.avatica.util.AbstractCursor.TimestampFromUtilDateAccessor

All Implemented Interfaces:
  `Cursor.Accessor`

Enclosing class:
  AbstractCursor

    private static class AbstractCursor.TimestampFromUtilDateAccessor
    extends AbstractCursor.ObjectAccessor

Accessor that assumes that the underlying value is a TIMESTAMP, represented as a java.util.Date; corresponds to `Types.TIMESTAMP`.

### Field Summary

Fields
`private java.util.Calendar` `localCalendar`

### Fields inherited from class org.apache.calcite.avatica.util.AbstractCursor.AccessorImpl

`getter`

### Constructor Summary

Constructors
`private` `TimestampFromUtilDateAccessor​(AbstractCursor.Getter getter, java.util.Calendar localCalendar)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.sql.Date` `getDate​(java.util.Calendar calendar)`
`long` `getLong()`
`java.lang.String` `getString()`
`java.sql.Time` `getTime​(java.util.Calendar calendar)`
`java.sql.Timestamp` `getTimestamp​(java.util.Calendar calendar)`

### Methods inherited from class org.apache.calcite.avatica.util.AbstractCursor.AccessorImpl

`getArray, getAsciiStream, getBigDecimal, getBigDecimal, getBinaryStream, getBlob, getBoolean, getByte, getBytes, getCharacterStream, getClob, getDouble, getFloat, getInt, getNCharacterStream, getNClob, getNString, getObject, getObject, getObject, getRef, getShort, getSQLXML, getStruct, getUnicodeStream, getURL, wasNull`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### localCalendar

    private final java.util.Calendar localCalendar

### Constructor Detail

#### TimestampFromUtilDateAccessor

    private TimestampFromUtilDateAccessor​(AbstractCursor.Getter getter,
                                          java.util.Calendar localCalendar)

### Method Detail

#### getTimestamp

    public java.sql.Timestamp getTimestamp​(java.util.Calendar calendar)
                                    throws java.sql.SQLException

Specified by:
  `getTimestamp` in interface `Cursor.Accessor`
Overrides:
  `getTimestamp` in class `AbstractCursor.AccessorImpl`
Throws:
  `java.sql.SQLException`

#### getDate

    public java.sql.Date getDate​(java.util.Calendar calendar)
                          throws java.sql.SQLException

Specified by:
  `getDate` in interface `Cursor.Accessor`
Overrides:
  `getDate` in class `AbstractCursor.AccessorImpl`
Throws:
  `java.sql.SQLException`

#### getTime

    public java.sql.Time getTime​(java.util.Calendar calendar)
                          throws java.sql.SQLException

Specified by:
  `getTime` in interface `Cursor.Accessor`
Overrides:
  `getTime` in class `AbstractCursor.AccessorImpl`
Throws:
  `java.sql.SQLException`

#### getString

    public java.lang.String getString()
                               throws java.sql.SQLException

Specified by:
  `getString` in interface `Cursor.Accessor`
Overrides:
  `getString` in class `AbstractCursor.AccessorImpl`
Throws:
  `java.sql.SQLException`

#### getLong

    public long getLong()
                 throws java.sql.SQLException

Specified by:
  `getLong` in interface `Cursor.Accessor`
Overrides:
  `getLong` in class `AbstractCursor.AccessorImpl`
Throws:
  `java.sql.SQLException`